#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int ucitavanje(int *niz, int n){
    for (int i=0;i<n;i++) {
        scanf("%d", &niz[i]);
    }
    return *niz;
}

void sortiranje(int *niz, int i, int j,int n, int limit)
{
    int temp;
    if (i < n - 1)
    {
        if (limit)
        {
            j = i + 1;
        }
        if (j < n)
        {
            if (niz[i] > niz[j])
            {
                temp = niz[i];
                niz[i] = niz[j];
                niz[j] = temp;
            }
            sortiranje(niz, i, j + 1, n, 0);
        }
        sortiranje(niz, i + 1, 0, n, 1);
    }
}

int main()
{
    int *niz, *niz2, n, q, i, j, resenje=0, prethodnik = 1, l = 1;
    scanf("%d %d", &n, &q);
    
    niz = (int*)malloc(n * sizeof(int));
    niz2 = (int*)malloc(q * sizeof(int));
    
    ucitavanje(niz, n);
    ucitavanje(niz2, q);
    sortiranje(niz, 0, 0, n, 1);
    
    for (i=0;i<q;i++){
        if (niz2[i] == niz[(n/2)])
            printf("0\n");
        else{
            if(niz2[i] > niz[n-1]){
                printf("%d\n", n);
            }
            else if (niz2[i] < niz[0]){
                printf("%d\n", n+1);
            }
            else{
                int m = sqrt(n);
                int ii;
                for (ii=0;ii<n;ii+=m)
                    if (niz[ii]<=niz2[i]) {
                        j = ii;
                    }
                for (ii=j; ii<j+m && ii<n;ii++)
                    if (niz[ii] == niz2[i]) {
                        if (niz2[i] < niz[(n/2)]){
                            printf("%d\n", (abs(((n/2)+1)-ii)*2-2));
                        }
                        else if(niz2[i] > niz[(n/2)]){
                            printf("%d\n", prethodnik);
                            prethodnik+=2;
                        }
                    }
            }
        }
    }
    return 0;
}